package body MSHTML.DispHTMLPerformance_Object is

   function Get_navigation
     (This : DispHTMLPerformance_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLPerformance_Get_navigation);
   end Get_navigation;

   function Get_timing
     (This : DispHTMLPerformance_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLPerformance_Get_timing);
   end Get_timing;

   function toString
     (This : DispHTMLPerformance_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispHTMLPerformance_toString);
   end toString;

   function toJSON
     (This : DispHTMLPerformance_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispHTMLPerformance_toJSON);
   end toJSON;

end MSHTML.DispHTMLPerformance_Object;

